public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gspiceui/
Date: Fri, 24 Nov 2023 14:31:18 +0000 (UTC)	[thread overview]
Message-ID: <1700836230.85a11053cf66d20457de181d35f8ec631908c99e.pacho@gentoo> (raw)

commit:     85a11053cf66d20457de181d35f8ec631908c99e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 24 14:02:00 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Nov 24 14:30:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85a11053

sci-electronics/gspiceui: Port to wxGTK 3.2

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild | 83 ++++++++++++++++++++++
 1 file changed, 83 insertions(+)

diff --git a/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild b/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild
new file mode 100644
index 000000000000..35a1c7747a8f
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WX_GTK_VER="3.2-gtk3"
+inherit desktop optfeature wxwidgets xdg
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="https://sourceforge.net/projects/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+DEPEND="
+	x11-libs/wxGTK:${WX_GTK_VER}[X]
+	sci-electronics/electronics-menu
+"
+RDEPEND="
+	${DEPEND}
+	|| (
+		sci-electronics/ngspice
+		sci-electronics/gnucap
+	)
+"
+
+PATCHES=(
+	# Use Gentoo LDFLAGS and CXXFLAGS
+	"${FILESDIR}"/${P}-respect-users-flags.patch
+)
+
+src_prepare() {
+	default
+
+	# Adjusting the doc path at src/main/FrmHtmlVwr.cpp
+	sed -i -e \
+		"s:/share/gspiceui/html/User-Manual.html:/share/doc/${PF}/html/User-Manual.html:g" \
+		src/main/FrmHtmlVwr.cpp || die
+}
+
+src_configure() {
+	setup-wxwidgets
+	default
+}
+
+src_compile() {
+	# GSPICEUI_WXLIB=3.0 also works for 3.2
+	emake GSPICEUI_WXLIB=3.0
+}
+
+src_install() {
+	dobin bin/gspiceui
+
+	einstalldocs
+	dodoc html/*.html html/*.jpg html/*.png
+	dodoc ChangeLog ReadMe ToDo release-notes-v${PV}.txt
+	doman gspiceui.1
+
+	# installing examples and according model and symbol files
+	use examples && dodoc -r lib sch
+
+	newicon -s 32 src/icons/gspiceui-32x32.xpm gspiceui.xpm
+	newicon -s 48 src/icons/gspiceui-48x48.xpm gspiceui.xpm
+	make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	if use examples ; then
+		elog "If you want to use the examples, copy and extract from"
+		elog "${EROOT}/usr/share/doc/${PF} the sch and lib directory"
+		elog "side by side to your home directory to be able"
+		elog "to generate the netlists as normal user."
+	fi
+	optfeature "schematics editing" sci-electronics/geda
+	optfeature "waveform display" sci-electronics/gwave
+}


             reply	other threads:[~2023-11-24 14:31 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-24 14:31 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-17 16:00 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/gspiceui/ Sam James
2024-07-05 18:45 Pacho Ramos
2023-12-16  7:05 Arthur Zamarin
2015-12-09 18:01 Denis Dupeyron
2015-11-11  9:12 Agostino Sarubbo
2015-11-09 10:31 Agostino Sarubbo
2015-09-13 20:06 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1700836230.85a11053cf66d20457de181d35f8ec631908c99e.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox